org.glassfish.jersey.server.model

## Enum ResourceMethod.JaxrsType

- java.lang.Object
- - java.lang.Enum<ResourceMethod.JaxrsType>
  - - org.glassfish.jersey.server.model.ResourceMethod.JaxrsType

All Implemented Interfaces:
  Serializable, Comparable<ResourceMethod.JaxrsType>

Enclosing class:
  ResourceMethod

    public static enum ResourceMethod.JaxrsType
    extends Enum<ResourceMethod.JaxrsType>

Resource method classification based on the recognized JAX-RS resource method types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`RESOURCE_METHOD` JAX-RS resource method.
`SUB_RESOURCE_LOCATOR` JAX-RS sub-resource locator.
`SUB_RESOURCE_METHOD` JAX-RS sub-resource method.

### Method Summary

All Methods Static Methods Concrete Methods
`static ResourceMethod.JaxrsType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResourceMethod.JaxrsType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RESOURCE_METHOD

    public static final ResourceMethod.JaxrsType RESOURCE_METHOD

JAX-RS resource method.

Does not have a path template assigned. Is assigned to a particular HTTP method.

#### SUB_RESOURCE_METHOD

    public static final ResourceMethod.JaxrsType SUB_RESOURCE_METHOD

JAX-RS sub-resource method.

Has a sub-path template assigned and is assigned to a particular HTTP method.

#### SUB_RESOURCE_LOCATOR

    public static final ResourceMethod.JaxrsType SUB_RESOURCE_LOCATOR

JAX-RS sub-resource locator.

Has a sub-path template assigned but is not assigned to any particular HTTP method. Instead it produces a sub-resource instance that should be further used in the request URI matching.

### Method Detail

#### values

    public static ResourceMethod.JaxrsType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ResourceMethod.JaxrsType c : ResourceMethod.JaxrsType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ResourceMethod.JaxrsType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null